###

###

###

###

###

###

###

    TOUPPER(3)          Linux Programmer's Manual          TOUPPER(3)

    NAME
           toupper, tolower - convert letter to upper or lower case

    SYNOPSIS
           #include <ctype.h>

           int toupper (int c);
           int tolower (int c);

    DESCRIPTION
           toupper()  converts  the letter c to upper case, if possi-
           ble.

           tolower() converts the letter c to lower case,  if  possi-
           ble.

    RETURN VALUE
           The  value  returned is that of the converted letter, or c
           if the conversion was not possible.

    CONFORMS TO
           ANSI - C, BSD 4.3

    BUGS
           The details of what constitutes an uppercase or  lowercase
           letter  depend  on  the  current locale.  For example, the
           default "C" locale does not know about umlauts, so no con-
           version is done for them.

           In some non - English locales, there are lowercase letters
           with no corresponding  uppercase  equivalent;  the  German
           sharp s is one example.

### SEE ALSO

isalpha, setlocale, locale,

###

    GNU                       April 4, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0